#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using HeuristicLab.Core;
using HeuristicLab.Data;

namespace HeuristicLab.Optimization {
  /// <summary>
  /// An interface which represents a selection operator.
  /// </summary>
  [HeuristicLab.Persistence.Default.CompositeSerializers.Storable.StorableType("445939F2-6C30-484E-A71F-A600B7C9F546")]
  public interface ISelector : IOperator {
    BoolValue CopySelected { get; set; }
    IValueLookupParameter<IntValue> NumberOfSelectedSubScopesParameter { get; }
  }
}
